commit 1dc5170b70d292635378212210981a9e06e30429
Author: freddy77 <freddy77>
Date:   Wed Jul 7 14:56:21 2010 +0000

    update automatic test

diff --git a/ChangeLog b/ChangeLog
index a841c6f..caf8331 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Wed Jul  7 16:56:08 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* misc/freetds_autobuild: update automatic test
+
 Wed Jul  7 15:56:44 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* misc/sybase_tests src/ctlib/unittests/datafmt.c:
 	- update script to build tests even for ctlib
@@ -2657,4 +2660,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3066 2010/07/07 13:57:02 freddy77 Exp $
+$Id: ChangeLog,v 1.3067 2010/07/07 14:56:21 freddy77 Exp $
diff --git a/misc/freetds_autobuild b/misc/freetds_autobuild
index 238a4fb..46ddc76 100755
--- a/misc/freetds_autobuild
+++ b/misc/freetds_autobuild
@@ -174,11 +174,23 @@ perl -pe "\$_ = '' if \$_ =~ /^2:bcp.c: In function 'bcp_colfmt'|^2:bcp.c:\\d+:
 upload "$OUTDIR/test" '*.html'
 cd ..
 
+# test connection using named port
+save_coverage
+# using tsql directly with grep do not update coverage informations
+echo -e 'select @@version\ngo\nbye' | TDSPORT=ms-sql-s ./src/apps/tsql -S $tSRV -U "$tUID" -P "$tPWD" > out.txt || true
+if grep -q 'Microsoft Corporation' out.txt; then
+	echo "named port ok"
+else
+	echo "named port failed!"
+	restore_coverage
+fi
+rm -f out.txt
+
 # test domain password and TDSPORT with service name
 if test "$DOMAIN_UID" != ""; then
 	save_coverage
 	# using tsql directly with grep do not update coverage informations
-	echo -e 'select @@version\ngo\nbye' | TDSPORT=ms-sql-s TDSDUMP=stdout ./src/apps/tsql -S $tSRV -U "$DOMAIN_UID" -P "$DOMAIN_PWD" > out.txt || true
+	echo -e 'select @@version\ngo\nbye' | TDSDUMP=stdout ./src/apps/tsql -S $tSRV -U "$DOMAIN_UID" -P "$DOMAIN_PWD" > out.txt || true
 	if grep -q 'Microsoft Corporation' out.txt; then
 		echo "domain password ok"
 	else
@@ -188,6 +200,7 @@ if test "$DOMAIN_UID" != ""; then
 	rm -f out.txt
 fi
 
+# test connection forcing port
 if test "$MSSQL_PORT" != ""; then
 	save_coverage
 	# using tsql directly with grep do not update coverage informations
@@ -201,6 +214,7 @@ if test "$MSSQL_PORT" != ""; then
 	rm -f out.txt
 fi
 
+# test connection using instance name
 if test "$MSSQL_INSTANCE" != ""; then
 	save_coverage
 	# using tsql directly with grep do not update coverage informations

